export const defaultSettings = {
  background: {
    background_image_path: "" as string,
  },
  colors: {
    accent_color: "#8ab4f8" as string,
    background_color: "#202124" as string,
    background_color_popup: "#303134" as string,
    footer_color: "#000000" as string,
  },
  style: {
    blur_radius: 10 as number,
    dark_mode: true as boolean,
    font_family: "monospace" as string,
    font_scaling: 100,
    opacity: 0.8 as number,
    radius: 8 as number,
    transition_duration: 200 as number,
    window_height: 80 as number,
    window_width: 500 as number,
  },
  window: {
    fullscreen_button: false as boolean,
    maximize_button: false as boolean,
    minimize_button: false as boolean,
    start_fullscreen: false as boolean, // TODO: this should be true on prod
  },
};

export type SettingsType = typeof defaultSettings;
